﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Medweb.Cloud.Web.Site.Default" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Medweb Cloud</title>
    <script type="text/javascript">
        <asp:Literal ID="js" runat="server"></asp:Literal>
        var createCookie = function(name,value,days) {
            if (days) {
                var date = new Date();
                date.setTime(date.getTime()+(days*24*60*60*1000));
                var expires = "; expires="+date.toGMTString();
            }
            else var expires = "";
            document.cookie = name+"="+value+expires+"; path=/";
        }
        if(window.MedwebCloudAuthenticated === false){
            createCookie('history_token', window.location.hash.substring(1), 1);
            window.location.href = './Login.aspx';
        }
    </script>

    <script type="text/javascript" src="/scripts/Scripts.js?target=core&<%=Medweb.Cloud.Web.Site.Utilities.GetJSQueryString() %>"></script>

    <link rel="stylesheet" id="ThemeLink" runat="server" />
    <link href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet" />

    <link href="styles/Application.css" rel="stylesheet" />
    <link href="styles/LGWiz.css" rel="stylesheet" />
     <%--Added for Vitals+ nurseview dashboard--%>
    <link href="styles/VitalsPlus.css" rel="stylesheet" />

    <link rel="icon" href="favicon.png" />
    <link rel="chrome-webstore-item" href="https://chrome.google.com/webstore/detail/bkfnkdicnbiiaojkichfodjjbmielbnm" />
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css" rel="stylesheet" />
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap-glyphicons.css" rel="stylesheet" />

    <%
        var capability = Medweb.Cloud.Web.Server.Managers.TwilioManager.GetAllowOutgoingCapability();
        string token = capability.GenerateToken();
    %>

    <style type="text/css">
        .lookingglass .fm-icelink-webrtc-video-remote video {
            /*height:auto !important;width:auto !important;*/
        }
    </style>
</head>
<body style="background-image: url(/images/background.png); background-repeat: repeat;">
    <div id="loading" style="width: 100%; text-align: center;">
        <img src="/images/logo.png" style="padding-top: 150px" />
        <br />
        <br />
        <!-- TODO: pull from medweb.common.loading -->
        <span>
            <img src="/images/loading.gif" style="height: 12px; width: 150px; padding-top: 25px;" /></span>
    </div>

    <script type="text/javascript" src="/scripts/app/Application.js?3"></script>
    <script type="text/javascript" src="/scripts/panzoom/dist/jquery.panzoom.js"></script>
    <script type="text/javascript" src="/scripts/resize_hermite/hermite.js"></script>
    <script type="text/javascript" src="/scripts/twilio.1.3.16.js"></script>

    <script type="text/javascript">
        if(window.Twilio){
            Twilio.Device.setup('<%=token%>');
        }
        var interval = setInterval(function () {
            if(window.Ext){
                Ext.onReady(function () {
                    if (window.MedwebCloud && window.MedwebCloud.ready) {
                        Ext.get('loading').fadeOut({ remove: true });
                        window.clearInterval(interval);
                    }
                });
            }
        }, 50);

        function addScript( url, callback ) {
            var script = document.createElement( 'script' );
            if( callback ) script.onload = callback;
            script.type = 'text/javascript';
            script.src = url;
            document.body.appendChild( script );
        }

        addScript('//maps.googleapis.com/maps/api/js?v=3.exp', function(){
            addScript('/scripts/infobox.js');
        });
    </script>
</body>
</html>