﻿Ext.define('MedwebCloud.view.GlassSetupPanel', {
    extend: 'Ext.panel.Panel',
    xtype: 'MedwebCloud.glasssetuppanel',
    initComponent: function () {
        window.MedwebCloud = window.MedwebCloud || {};

        Ext.apply(this, {
            layout: 'border',
            items: [{
                xtype: 'toolbar',
                region: 'north',
                itemId: 'maintb',
                border: false,
                items: [{
                    text: 'Logo',
                    xtype: 'box',
                    layout: 'fit',
                    style: 'text-align:center;margin:5px',
                    html: '<img src="/images/logo-small.png" width="151px" height="50px" border="0" alt="Login logo" />'
                }, {
                    xtype: 'button',
                    scale: 'large',
                    text: "Setup Wizard",
                    icon: 'images/doctor.png',
                    enableToggle: true,
                    toggleGroup: 'maintb',
                    name: 'wizard',
                    //handler: goToSection
                }, {
                    xtype: 'button',
                    scale: 'large',
                    text: "Advanced Setup",
                    name: 'advanced',
                    icon: 'images/clipboard2.png',
                    enableToggle: true,
                    toggleGroup: 'maintb',
                    //handler: goToSection
                }, '->', {
                    xtype: 'label',
                    text: MedwebCloud.userProfile.DisplayName,
                }, {
                    text: buttonLogout,
                    icon: 'images/exit16.png',
                    style: {
                        marginRight: '15px'
                    },
                    //handler: MedwebCloud.app.logout
                }]
            }, {
                region: 'center',
                xtype: 'panel',
                itemId: 'main_app',
                layout: 'border',
                activeItem: 0,
                border: false,
            }]
        });

        this.callParent(arguments);
    }
});