Ext.define('MedwebCloud.model.InternalChatFile', {
    extend: 'Ext.data.Model',
    idProperty: 'Id',
    fields: [
        { name: 'Id', type: 'int' },

        { name: 'UploadProgress', type: 'int', persist: false },
        { name: 'UniqueIdentifier', type: 'string', persist: false },

        { name: 'InternalChatId', type: 'auto' },
        { name: 'UserId', type: 'string' },
        { name: 'Url', type: 'string' },
        { name: 'Filename', type: 'string' },
        { name: 'CreatedBy', type: 'string', persist: false },
        { name: 'CreatedOn', type: 'date', persist: false, useNull: true },
        { name: 'ModifiedBy', type: 'string', persist: false },
        { name: 'ModifiedOn', type: 'date', persist: false, useNull: true },
        { name: 'IsDeleted', type: 'boolean' }
    ],
    proxy: {
        type: 'therest',
        url: MedwebCloud.api('/v1/internalchatfiles')
    }
});