Ext.define('MedwebCloud.model.Location', {
    extend: 'Ext.data.Model',
    idProperty: 'Id',
    fields: [
        { name: 'Id', type: 'auto' },
        { name: 'UserId', type: 'auto', useNull: false },
        { name: 'DeviceId', type: 'auto' },
        { name: 'Latitude', type: 'decimal' },
        { name: 'Longitude', type: 'decimal' },
        { name: 'HumanReadable', type: 'string' },
        { name: 'CreatedOn', type: 'date', persist: false, useNull: true },
        { name: 'CreatedBy', type: 'date', persist: false, useNull: true },
        { name: 'ModifiedBy', type: 'string', persist: false },
        { name: 'ModifiedOn', type: 'date', persist: false, useNull: true },
        { name: 'User', type: 'MedwebCloud.v1.model.User' }
    ],
    proxy: {
        type: 'therest',
        url: MedwebCloud.api('/v1/locations')
    }
});