Ext.define('MedwebCloud.model.Session', {
    extend: 'Ext.data.Model',
    idProperty: 'Id',
    fields: [
        { name: 'Id', type: 'auto' },
        { name: 'SessionCode', type: 'string' },
        { name: 'Name', type: 'string' },
        { name: 'Pinned', type: 'boolean' },
        { name: 'UserId', type: 'auto', useNull: false },
        { name: 'CreatedBy', type: 'string', persist: false },
        { name: 'CreatedOn', type: 'date', persist: false, useNull: true },
        { name: 'ModifiedBy', type: 'string', persist: false },
        { name: 'ModifiedOn', type: 'date', persist: false, useNull: true },
        { name: 'IsDeleted', type: 'boolean' },
        { name: 'User', type: 'MedwebCloud.v1.model.User' },
        { name: 'Public', type: 'boolean' },
        { name: 'CompanyId', type: 'auto', useNull: false },
    ],
    proxy: {
        type: 'therest',
        url: MedwebCloud.api('/v1/collage/sessions')
    }
});