﻿Ext.define('MedwebCloud.view.CompanyDomainsGrid', {
    extend: 'Ext.grid.Panel',
    xtype: 'medwebcloud.companydomainsgrid',

    initComponent: function () {
        //var geocoder = new google.maps.Geocoder();
        var me = this;
        Ext.apply(me, {
            store: Ext.create('MedwebCloud.store.CompanyDomains', {
                autoLoad: true,
                filters: this.filters,
                expand: this.expand
            }),
            columns: [{
                dataIndex: 'Id',
                text: 'Id',
                flex: 0.25
            }, {
                dataIndex: 'Name',
                text: 'Name',
                flex: 1
            }]
        });

        this.callParent(arguments);
    }
});