﻿Ext.define('MedwebCloud.view.RemoteCamerasTab', {
    xtype: 'medwebcloud.remotecamerastab',
    extend: 'MedwebCloud.view.ItemTab',
    initComponent: function () {
        var me = this;

        Ext.apply(this, {
            itemId: 'remotecamerastab',
            model: 'MedwebCloud.model.RemoteCamera',
            gridConfig: {
                xtype: 'medwebcloud.remotecamerasgrid',
                itemId: 'remotecamerasgrid',
                title: 'Cameras',
                stateId: 'remotecamerasgrid'
            },

            panelConfig: {
                xtype: 'medwebcloud.remotecameraform',
                itemId: 'remotecameraform',
                title: 'Camera',
                idField: 'Id',
                nameField: 'Name'
            }
        });

        this.callParent(arguments);
    }
});