Ext.define('MedwebCloud.model.Device', {
    extend: 'Ext.data.Model',
    idProperty: 'Id',
    fields: [
        { name: 'Id', type: 'auto' },
        { name: 'UserId', type: 'auto', useNull: false },
        { name: 'UniqueId', type: 'string' },
        { name: 'Name', type: 'string' },
        { name: 'NotificationNetwork', type: 'string' },
        { name: 'NotificationToken', type: 'string' },
        { name: 'CreatedOn', type: 'date', persist: false, useNull: true },
        { name: 'CreatedBy', type: 'date', persist: false, useNull: true },
        { name: 'ModifiedBy', type: 'string', persist: false },
        { name: 'ModifiedOn', type: 'date', persist: false, useNull: true },
        { name: 'User', type: 'MedwebCloud.v1.model.User' },
        { name: 'Location', type: 'MedwebCloud.model.Location' }
    ],
    proxy: {
        type: 'therest',
        url: MedwebCloud.api('/v1/devices')
    }
});