﻿Ext.define('MedwebCloud.view.DeviceForm2', {
    xtype: 'medwebcloud.deviceform2',
    extend: 'Ext.form.Panel',

    hidePasswordFields: false,
    initComponent: function () {
        var me = this;

        var lblName = MedwebCloud.getMsg('medweb.device.name.label');
        var lblDesc = MedwebCloud.getMsg('medweb.device.devicedescription.label');

        var items = [{
            xtype: 'textfield',
            fieldLabel: '',
            allowBlank: false,
            name: 'Autofill_Prevention',
            hidden: true
        }, {
            xtype: 'textfield',
            fieldLabel: lblName,
            allowBlank: false,
            name: 'Name'
        }, {
            xtype: 'textfield',
            fieldLabel: lblDesc,
            allowBlank: false,
            name: 'DeviceDescription'
        }];

        if (MedwebCloud.userProfile.IsAdmin || MedwebCloud.userProfile.IsSuperAdmin) {
        }

        if (MedwebCloud.userProfile.IsSuperAdmin) {
        }

        Ext.apply(me, {
            defaults: {
                anchor: '100%',
                labelWidth: 130,
                border: false,
            },
            items: items,
        });

        me.callParent(arguments);

        //Work around autocomplete being unable to be disabled in FF
        setTimeout(me.reset, 1);
    }
});