﻿Ext.define('MedwebCloud.view.LookingGlassSetupWizard.SetupType', {
    xtype: 'medwebcloud.lookingglasssetupwizard.setuptype',
    extend: 'Ext.form.Panel',

    initComponent: function () {
        Ext.apply(this, {
            layout: {
                type: 'vbox',
                pack: 'center',
                align: 'center',
            },
            padding: '20 20 20 20',
            items: [{
                xtype: 'displayfield',
                fieldLabel: 'Welcome to LookingGlass',
                labelAlign: 'top',
                name: 'welcome-text',
                value: '<p>Salutations, brave experimenter.  You are about to embark on a mysterious journey through largely untested code' +
                    ' and inconsistent design specs.  Are you ready?</p>'
            }, {
                xtype: 'button',
                text: 'I want to generate a QR code from these settings that I can scan with many pairs of glasses.',
                handler: function () {
                    var form = this.up('form');
                    var wizard = form.up('#wizard');

                    wizard.getLayout().setActiveItem('network-setup');
                }
            }],
        });

        this.callParent(arguments);
    },
    getValues: function () {
        return {};
    },
});