﻿Ext.define('MedwebCloud.view.WaitingRoomPanel', {
    extend: 'Ext.panel.Panel',
    xtype: 'MedwebCloud.waitingroompanel',
    requires: [
        'MedwebCloud.view.WaitingRoom.ChatRequestsGrid',
        'MedwebCloud.view.WaitingRoom.ChatsSection'
    ],
    record: null,
    client: null,
    initComponent: function () {
        var me = this;

        Ext.apply(this, {
            layout: 'fit',
            items: [{
                xtype: 'MedwebCloud.wr.chatssection',
                client: this.client,
                listeners: {
                    chatstarted: function () {
                        me.fireEvent('chatstarted');
                    }
                }
            }]
        });
        this.callParent(arguments);
    }
});